Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Content Acquisition System Web Service Stubs 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.itl.cas
Class CasCrawlerServiceLocator

    java.lang.Object
      org.apache.axis.client.Service
          com.endeca.itl.cas.CasCrawlerServiceLocator

All Implemented Interfaces:
  CasCrawlerService, java.io.Serializable, javax.naming.Referenceable, javax.xml.rpc.Service

    public class CasCrawlerServiceLocator

extends org.apache.axis.client.Service
implements CasCrawlerService

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.axis.client.Service
`org.apache.axis.client.Service.HandlerRegistryImpl`

Field Summary

Fields inherited from class org.apache.axis.client.Service
`_call`

Constructor Summary
`CasCrawlerServiceLocator()` The CasCrawlerService uses the SOAP binding.
`CasCrawlerServiceLocator(org.apache.axis.EngineConfiguration config)`
`CasCrawlerServiceLocator(java.lang.String wsdlLoc, javax.xml.namespace.QName sName)`

Method Summary
`CasCrawler` | `getCasCrawlerPort()`
`CasCrawler` | `getCasCrawlerPort(java.net.URL portAddress)`
`java.lang.String` | `getCasCrawlerPortAddress()` The CasCrawlerService uses the SOAP binding.
`java.lang.String` | `getCasCrawlerPortWSDDServiceName()`
`java.rmi.Remote` | `getPort(java.lang.Class serviceEndpointInterface)` For the given interface, get the stub implementation.
`java.rmi.Remote` | `getPort(javax.xml.namespace.QName portName, java.lang.Class serviceEndpointInterface)` For the given interface, get the stub implementation.
`java.util.Iterator` | `getPorts()`
`javax.xml.namespace.QName` | `getServiceName()`
`void` | `setCasCrawlerPortEndpointAddress(java.lang.String address)`
`void` | `setCasCrawlerPortWSDDServiceName(java.lang.String name)`
`void` | `setEndpointAddress(javax.xml.namespace.QName portName, java.lang.String address)` Set the endpoint address for the specified port name.
`void` | `setEndpointAddress(java.lang.String portName, java.lang.String address)` Set the endpoint address for the specified port name.

Methods inherited from class org.apache.axis.client.Service
`createCall, createCall, createCall, createCall, getAxisClient, getCacheWSDL, getCall, getCalls, getEngine, getEngineConfiguration, getHandlerRegistry, getMaintainSession, getPort, getReference, getTypeMappingRegistry, getWSDLDocumentLocation, getWSDLParser, getWSDLService, setCacheWSDL, setEngine, setEngineConfiguration, setMaintainSession, setTypeMappingRegistry, setTypeMappingVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.xml.rpc.Service
`createCall, createCall, createCall, createCall, getCalls, getHandlerRegistry, getTypeMappingRegistry, getWSDLDocumentLocation`

Constructor Detail

### CasCrawlerServiceLocator

    public CasCrawlerServiceLocator()

  The CasCrawlerService uses the SOAP binding.

### CasCrawlerServiceLocator

    public CasCrawlerServiceLocator(org.apache.axis.EngineConfiguration config)

### CasCrawlerServiceLocator

    public CasCrawlerServiceLocator(java.lang.String wsdlLoc,
                                    javax.xml.namespace.QName sName)
                             throws javax.xml.rpc.ServiceException

Throws:
  `javax.xml.rpc.ServiceException`

Method Detail

### getCasCrawlerPortAddress

    public java.lang.String getCasCrawlerPortAddress()

  Description copied from interface: `CasCrawlerService`
  The CasCrawlerService uses the SOAP binding.

  Specified by:
    `getCasCrawlerPortAddress` in interface `CasCrawlerService`

### getCasCrawlerPortWSDDServiceName

    public java.lang.String getCasCrawlerPortWSDDServiceName()

### setCasCrawlerPortWSDDServiceName

    public void setCasCrawlerPortWSDDServiceName(java.lang.String name)

### getCasCrawlerPort

    public CasCrawler getCasCrawlerPort()
                                 throws javax.xml.rpc.ServiceException

  Specified by:
    `getCasCrawlerPort` in interface `CasCrawlerService`
  Throws:
    `javax.xml.rpc.ServiceException`

### getCasCrawlerPort

    public CasCrawler getCasCrawlerPort(java.net.URL portAddress)
                                 throws javax.xml.rpc.ServiceException

  Specified by:
    `getCasCrawlerPort` in interface `CasCrawlerService`
  Throws:
    `javax.xml.rpc.ServiceException`

### setCasCrawlerPortEndpointAddress

    public void setCasCrawlerPortEndpointAddress(java.lang.String address)

### getPort

    public java.rmi.Remote getPort(java.lang.Class serviceEndpointInterface)
                            throws javax.xml.rpc.ServiceException

  For the given interface, get the stub implementation. If this service has no port for the given interface, then ServiceException is thrown.

  Specified by:
    `getPort` in interface `javax.xml.rpc.Service`
  Overrides:
    `getPort` in class `org.apache.axis.client.Service`
  Throws:
    `javax.xml.rpc.ServiceException`

### getPort

    public java.rmi.Remote getPort(javax.xml.namespace.QName portName,
                                   java.lang.Class serviceEndpointInterface)
                            throws javax.xml.rpc.ServiceException

  For the given interface, get the stub implementation. If this service has no port for the given interface, then ServiceException is thrown.

  Specified by:
    `getPort` in interface `javax.xml.rpc.Service`
  Overrides:
    `getPort` in class `org.apache.axis.client.Service`
  Throws:
    `javax.xml.rpc.ServiceException`

### getServiceName

    public javax.xml.namespace.QName getServiceName()

  Specified by:
    `getServiceName` in interface `javax.xml.rpc.Service`
  Overrides:
    `getServiceName` in class `org.apache.axis.client.Service`

### getPorts

    public java.util.Iterator getPorts()

  Specified by:
    `getPorts` in interface `javax.xml.rpc.Service`
  Overrides:
    `getPorts` in class `org.apache.axis.client.Service`

### setEndpointAddress

    public void setEndpointAddress(java.lang.String portName,
                                   java.lang.String address)
                            throws javax.xml.rpc.ServiceException

  Set the endpoint address for the specified port name.

  Throws:
    `javax.xml.rpc.ServiceException`

### setEndpointAddress

    public void setEndpointAddress(javax.xml.namespace.QName portName,
                                   java.lang.String address)
                            throws javax.xml.rpc.ServiceException

  Set the endpoint address for the specified port name.

  Throws:
    `javax.xml.rpc.ServiceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Content Acquisition System Web Service Stubs 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, 2012, Oracle and/or its affiliates. All rights reserved.

    @VERSION
    PRODUCT: Content Acquisition System Web Service Stubs (casStubs)
    VERSION: 3.2.2
    BUILD:   NONEDEV
    ARCH_OS: n/a
    DATE:    2012-02-28T13:13:19-0500